Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ActiveMQTemporaryTopic

    java.lang.Object
      org.codehaus.activemq.jndi.JNDIBaseStorable
          org.codehaus.activemq.message.ActiveMQDestination
              org.codehaus.activemq.message.ActiveMQTopic
                  org.codehaus.activemq.message.ActiveMQTemporaryTopic

All Implemented Interfaces:
  java.lang.Comparable, Destination, JNDIStorableInterface, javax.naming.Referenceable, java.io.Serializable, TemporaryTopic, Topic

public class ActiveMQTemporaryTopic
extends ActiveMQTopic
implements TemporaryTopic

A `TemporaryTopic` object is a unique `Topic` object created for the duration of a `Connection`. It is a system-defined topic that can be consumed only by the `Connection` that created it.

A `TemporaryTopic` object can be created either at the `Session` or `TopicSession` level. Creating it at the `Session` level allows the `TemporaryTopic` to participate in the same transaction with objects from the PTP domain. If a `TemporaryTopic` is created at the `TopicSession`, it will only be able participate in transactions with objects from the Pub/Sub domain.

See Also:
  `Session.createTemporaryTopic()`, `TopicSession.createTemporaryTopic()`, Serialized Form

Field Summary

Fields inherited from class org.codehaus.activemq.message.ActiveMQDestination
`ACTIVEMQ_QUEUE, ACTIVEMQ_TEMPORARY_QUEUE, ACTIVEMQ_TEMPORARY_TOPIC, ACTIVEMQ_TOPIC`

Constructor Summary
`ActiveMQTemporaryTopic()` Default constructor for an ActiveMQTemporaryTopic Destination
`ActiveMQTemporaryTopic(java.lang.String name)` Construct a named ActiveMQTemporaryTopic Destination

Method Summary
`void` | `delete()` Deletes this temporary topic.
`int` | `getDestinationType()`

Methods inherited from class org.codehaus.activemq.message.ActiveMQTopic
`getTopicName`

Methods inherited from class org.codehaus.activemq.message.ActiveMQDestination
`buildFromProperties, compareTo, compareTo, createTemporaryName, equals, getClientId, getPhysicalName, hashCode, inspect, isQueue, isTemporary, isTopic, isWildcard, populateProperties, readFromStream, setPhysicalName, toString, transformDestination, writeToStream`

Methods inherited from class org.codehaus.activemq.jndi.JNDIBaseStorable
`getProperties, getReference, setProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Topic
`getTopicName, toString`

Constructor Detail

### ActiveMQTemporaryTopic

    public ActiveMQTemporaryTopic()

  Default constructor for an ActiveMQTemporaryTopic Destination

### ActiveMQTemporaryTopic

    public ActiveMQTemporaryTopic(java.lang.String name)

  Construct a named ActiveMQTemporaryTopic Destination

Parameters:
  `name` -

Method Detail

### delete

    public void delete()
                throws JMSException

  Deletes this temporary topic. If there are existing subscribers still using it, a `JMSException` will be thrown.

  Specified by:
    `delete` in interface `TemporaryTopic`
  Throws:
    `JMSException` - if the JMS provider fails to delete the temporary topic due to some internal error.

### getDestinationType

    public int getDestinationType()

  Overrides:
    `getDestinationType` in class `ActiveMQTopic`
  Returns:
    Returns the Destination type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.